[PATCH 1/1] travis: run `make check` in travis build
Thomas Haller
thaller at redhat.com
Tue Aug 26 04:48:17 PDT 2014
Test programs are only compiled when running `make check`.
Also, fix passing $CFLAGS argument to make.
Signed-off-by: Thomas Haller <thaller at redhat.com>
---
Note before we called `make CFLAGS="$FLAGS"`. That
seems like a typo.
.travis/run.sh | 9 +++++++--
1 file changed, 7 insertions(+), 2 deletions(-)
diff --git a/.travis/run.sh b/.travis/run.sh
index c204cb8..941037a 100755
--- a/.travis/run.sh
+++ b/.travis/run.sh
@@ -1,9 +1,14 @@
#!/bin/bash
+set -e
+
CFLAGS="-Werror"
-if [ $CC = "clang" ]; then
+if [ "$CC" = "clang" ]; then
CFLAGS="$CFLAGS -Wno-error=unused-command-line-argument"
fi
-./autogen.sh && ./configure && make CFLAGS="$FLAGS"
+./autogen.sh
+./configure
+make CFLAGS="$CFLAGS"
+make CFLAGS="$CFLAGS" check
--
1.9.3
More information about the libnl
mailing list